# CvBlobTrackerAuto Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackerAuto:

List of all members.

## Public Member Functions

| CvBlobTrackerAuto ()
virtual CvBlob * | GetBlob (int index)=0
virtual CvBlob * | GetBlobByID (int ID)=0
virtual int | GetBlobNum ()=0
virtual IplImage * | GetFGMask ()
virtual float | GetState (int BlobID)=0
virtual const char * | GetStateDesc (int BlobID)=0
virtual void | Process (IplImage *pImg, IplImage *pMask=NULL)=0
virtual void | Release ()=0

## Constructor & Destructor Documentation

CvBlobTrackerAuto::CvBlobTrackerAuto | ( | ) | `[inline]`

## Member Function Documentation

virtual CvBlob* CvBlobTrackerAuto::GetBlob | ( | int | index ) | `[pure virtual]`

virtual CvBlob* CvBlobTrackerAuto::GetBlobByID | ( | int | ID ) | `[pure virtual]`

virtual int CvBlobTrackerAuto::GetBlobNum | ( | ) | `[pure virtual]`

virtual IplImage* CvBlobTrackerAuto::GetFGMask | ( | ) | `[inline, virtual]`

virtual float CvBlobTrackerAuto::GetState | ( | int | BlobID ) | `[pure virtual]`

virtual const char* CvBlobTrackerAuto::GetStateDesc | ( | int | BlobID ) | `[pure virtual]`

virtual void CvBlobTrackerAuto::Process | ( | IplImage * | pImg,
|  | IplImage * | pMask = `NULL`
| ) |  | `[pure virtual]`

virtual void CvBlobTrackerAuto::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines